import 'package:flutter/material.dart';
import 'package:uas_transitions/uas_transitions.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (_) => Page1Page(),
        'page2': (_) => Page2Page(),
      },
    );
  }
}

class Page1Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.blue,
      appBar: AppBar(
        title: Text('Page 1'),
        backgroundColor: Colors.transparent,
      ),
      body: Center(
        child: MaterialButton(
          onPressed: () {
            // Use like this:
            UasTransition(
                context: context,
                child: Page2Page(),
                // You can specify the transition animation.
                animation: UasAnimation.fadeIn,
                // You can specify the curves.
                curves: Curves.elasticOut,
                // You can specify the duration of the transition.
                duration: Duration(seconds: 1),
                // Also you can specify if it is a replacement transition or not.
                replacement: true);
          },
          child: Text('Go to Page2'),
          color: Colors.white,
        ),
      ),
    );
  }
}

class Page2Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Text('Page 2'),
      ),
    );
  }
}
